/**
  *  \file defs.h
  *
  *  (c) 2001,2002,2003 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_DEFS_H
#define PCC_V2_DEFS_H

#include "acdefs.h"

/***************************** Tunable Knobs *****************************/

/** Maximum size of HCONFIG.HST we support. If it is larger,
    we reject the file. Must fit in int and size_t. */
#define CONF_MAX_HCONFIG_SIZE 1000

/** If defined, VCRs are static, hence fast but not thread safe. See
    vcr.h for more information. */
#define CONF_STATIC_VCR

/** Define if you want debug backtraces. */
#define CONF_WANT_DEBUG_HELP

/** Define for national-language support (translated strings). */
#define CONF_WANT_NLS

/** Define for multi-character-set support (recode). */
#define CONF_WANT_RECODE

/** Define if we want FLAK support in PlayVCR (does not work yet). */
#define CONF_FLAK_SUPPORT

/**************************** Derived Options ****************************/

#ifndef HAVE_SDL
#  undef CONF_FILEIO_SDL_INTERFACE
#endif

#endif
